!
! Copyright 2003-2013 Intel Corporation.  All Rights Reserved.
!
! The source code contained or described herein and all documents
! related to the source code ("Material") are owned by Intel Corporation
! or its suppliers or licensors.  Title to the Material remains with
! Intel Corporation or its suppliers and licensors.  The Material is
! protected by worldwide copyright and trade secret laws and treaty
! provisions.  No part of the Material may be used, copied, reproduced,
! modified, published, uploaded, posted, transmitted, distributed, or
! disclosed in any way without Intel's prior express written permission.
!
! No license under any patent, copyright, trade secret or other
! intellectual property right is granted to or conferred upon you by
! disclosure or delivery of the Materials, either expressly, by
! implication, inducement, estoppel or otherwise.  Any license under
! such intellectual property rights must be express and approved by
! Intel in writing.
!
        program main
        use mpi
        implicit none

        integer i, size, rank, namelen, ierr
        character (len=MPI_MAX_PROCESSOR_NAME) :: name
        integer stat(MPI_STATUS_SIZE)

!#######################################################################################
!The lines below and the subroutine plot has been added to the Intel test routine
!in order to test if QuickWin can be used together with MPI
        !Do some sequential calculations
!#######################################################################################        
        call MPI_INIT (ierr)
        
        call MPI_COMM_SIZE (MPI_COMM_WORLD, size, ierr)
        call MPI_COMM_RANK (MPI_COMM_WORLD, rank, ierr)
        call MPI_GET_PROCESSOR_NAME (name, namelen, ierr)

!        if (rank .eq. 0) then
!          call plot(1) !plots a green rectangle
!        end if

!        if (rank .eq. 0) then
!          call plot(2) !plots a red rectangle
!          read(5,100)i
!          100 format(i4)
!        end if
       
        write(*,*) 'Rank ',rank,' is alive.'
        call MPI_FINALIZE (ierr)
        end
!#######################################################################################        
